Skip to main content
PUT
Update coupon

Authorizations

Authorization
string
header
required

Your API key goes here

Path Parameters

storeId
string<uuid>
required

The ID of the store that the coupon belongs to

couponId
string<uuid>
required

The ID of the coupon to update

Body

application/json

The coupon data to replace the existing coupon with

The data-transfer object for a coupon, used for creating or updating a coupon and returned by the API.

code
string
required

The case-insensitive code the customer will enter to redeem the coupon.

Required string length: 3 - 32
maximumUses
integer<int32>
required

The maximum number of times the coupon may be used. Set to -1 for unlimited uses.

Required range: -1 <= x <= 100000000
isEnabled
boolean
required

Whether the coupon is active and may be used at checkout.

percentageDecrease
number<double> | null

The percentage to subtract from the order total when the coupon is applied.

Required range: 1 <= x <= 100
amountDecrease
number<double> | null

A fixed amount to subtract from the order total when the coupon is applied.

Required range: 0.01 <= x <= 100000
variantIds
string<uuid>[] | null

The list of variant IDs this coupon applies to; null or empty for all variants.

Response

The object was successfully updated.

Represents a default generic response for API endpoints.

success
boolean
required

Indicates whether the operation or response was successful.

message
string | null

A descriptive message providing additional context or information about the response.

code
string | null

The error code (if there was an error) to use when referencing the error

data
object

A coupon code can be used to reduce the cost of an order with a store for a specified percentage

Last modified on August 29, 2025